Save PaymentAsk AIpost https://neon-loyalty-qa.spika.com/loyalty/v1/{space}/ordersets/{ordersetLookupId}/paymentsAdd or Update a PaymentPath ParamsspacestringrequiredThe name of the space (database) assigned to you.ordersetLookupIdstringrequiredOne of: The Entity's internal Entity Id The Entity's name The Entity's business Id, prefixed with $ Query ParamsdimstringThe Dimensions under which the calling application operates. Format: {dim1}:{value1}[;{dim2}:{value2}[;...]]includeUnpublishedbooleanIf true, also exposes Installed but Unpublished entity resources. Default is false.truefalseresponsebooleanDefaults to falseIf true, returns the saved content/resource. If false, the response content tag is not populated. Only set to true when the response payload is needed.truefalseBody ParamsorderIdstringlength ≤ 15NEON's internal Order Id. Accepts Lookup Id when savingorderSetIdstringlength ≤ 15NEON's Order Set Id.paymentIdstringlength ≤ 15NEON's internal Payment Id, unique within the Order Set. Leave blank when creating a new Payment. Case sensitive.bizPaymentIdstringlength ≤ 50Optional business-specific Payment Id. Must be unique within the Order Set. Case sensitive.statestringenumrequiredNEON's internal Payment state, so that NEON can calculate order totals correctlyDRAFTCONFIRMEDFAILEDAllowed:DRAFTCONFIRMEDFAILEDbizStatestringAn optional free-text business-specific payment state.paymentDatedate-timeTimestamp when the payment was made. Defaults to when the payment was first saved to NEON but can be overridden.currencystringIf the payment was made in a different currency to the order currency, then specify the payment currency here. NOTE: Not yet supported.currencyAmountnumberOnly applicable if currency a specified. Holds the amount paid in the payment currency. NOTE: Not yet supported.amountnumberrequiredThe payment amount, in the Order currency. This amount can be either positive or negative. Negative payment amounts are normally only used together with refunds.referencestringlength ≤ 500Optional free-text payment referencedatajsonOptional additional data in Json formatResponse 200OKUpdated 10 months ago